Bug 468223 - Review Request: python-repoze-tm2 - Zope-like transaction manager via WSGI middleware
Review Request: python-repoze-tm2 - Zope-like transaction manager via WSGI mi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On: 468222
Blocks: 468230
  Show dependency treegraph
 
Reported: 2008-10-23 12:31 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 17:33:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:31:50 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-tm2.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze-tm2-1.0-0.1.a3.fc9.src.rpm
Description: 
The ZODB transaction manager is a completely generic transaction manager.  It
can be used independently of the actual "object database" part of ZODB.  One
of the purposes of creating repoze.tm was to allow for systems other than
Zope to make use of two-phase commit transactions in a WSGI context.
Comment 1 Brian Pepple 2008-11-16 18:21:11 EST
MD5Sum:
1354ffaa88ee82793342e7bf2cae6ea9  repoze.tm2-1.0a3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly

Minor:
* rpmlint produces the following:
python-repoze-tm2.noarch: W: incoherent-version-in-changelog 1.0-0.1.a2 ['1.0-0.1.a3.fc9', '1.0-0.1.a3']

+1 APPROVED
Comment 2 Luke Macken 2008-11-19 10:38:42 EST
New Package CVS Request
=======================
Package Name: python-repoze-tm2
Short Description: Zope-like transaction manager via WSGI middleware
Owners: lmacken
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-11-22 22:57:41 EST
cvs done.
Comment 4 Fedora Update System 2009-01-06 17:37:47 EST
python-repoze-tm2-1.0-0.1.a3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.1.a3.fc10
Comment 5 Fedora Update System 2009-01-06 17:38:40 EST
python-repoze-tm2-1.0-0.1.a3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.1.a3.fc9
Comment 6 Fedora Update System 2009-01-07 16:50:09 EST
python-repoze-tm2-1.0-0.1.a3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-tm2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0290
Comment 7 Fedora Update System 2009-01-07 16:50:23 EST
python-repoze-tm2-1.0-0.1.a3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-repoze-tm2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0302
Comment 8 Brian Pepple 2009-02-15 11:21:27 EST
If this has been built, and pushed to stable this bug can be closed.
Comment 9 Luke Macken 2009-02-16 17:33:50 EST
Built and pushed to F10 and F9.  Thanks!
Comment 10 Fedora Update System 2009-10-01 12:04:10 EDT
python-repoze-tm2-1.0-0.5.a4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.5.a4.el5
Comment 11 Fedora Update System 2010-03-17 15:12:00 EDT
python-repoze-tm2-1.0-0.5.a4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.